Set permissions on Candlepin config files to be owned by root:tomcat

07/10/2020 12:47 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ca

ndlepin/pull/213

  

Description

Associated revisions

Revision c55afdc5 - 01/11/2022 01:19 PM - Ewoud Kohl van Wijngaarden

Fixes #30366 - Candlepin config file owned by root

Candlepin doesn't need to modify the configuration file and this means

it's more secure.

History

#1 - 01/11/2022 01:16 PM - Ewoud Kohl van Wijngaarden

- Project changed from Kafo to Installer

- Category set to Foreman modules

This doesn't look like a Kafo bug but rather in the installer.

#2 - 01/11/2022 01:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-candlepin/pull/213 added

#3 - 01/11/2022 03:00 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 01/11/2022 03:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-candlepin|c55afdc516b6973995a3aec6ea914f203a21f744.
